## org.eclipse.jst.jsf.context.symbol.source
Interface IAdditionalContextSymbolInfo

    public interface IAdditionalContextSymbolInfo

Passed to AbstractContextSymbolFactory's to provide additional information. All information is optional and need not be used if not needed. Clients may use but NOT IMPLEMENT. New methods may be added without notice.

Since:
  3.0

Method Summary
`java.lang.String` `getSymbolTypeSignature()`
`java.lang.String` `getValueExpressionAttributeName()`

Method Detail

### getSymbolTypeSignature

    java.lang.String getSymbolTypeSignature()

  Returns:
    a suggested symbol type signature. May be null.

### getValueExpressionAttributeName

    java.lang.String getValueExpressionAttributeName()

  Returns:
    the name of the attribute on the current element context that contains a value expression that may be used to find type information. May be null.